# MetaproAPPSetup

MetaproAppSetup - MetaproAppSetup.cs&#x20;

This class holds a Scriptable Object that saves data gathered from the metapro server.&#x20;

Contains fields:

**GameKey** - Key provided on application setup

**AppId** - Application id stored in metapro database

**GameImageURL** - URL to uploaded preview image of game

**GameName** - Name of game

**TeamName** - Name of the team that is assigned to that application

**GameAssets** - List of all assets assign to the application on metapro market

```
using System.Collections.Generic;
using UnityEngine;


[CreateAssetMenu(fileName = "MetaproAppSetup", menuName = "Metapro/AppSetup")]
public class MetaproAppSetup : ScriptableObject
{
    public string GameKey;
    public string AppId;

    public string GameImageURL;
    public string GameName;
    public string TeamName;

    public List<AvailableAsset> GameAssets;

}
```

<br>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.metaproprotocol.com/metapro-protocol/unity-plugin/reference/metaproappsetup.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
